import EmberRouter from '@ember/routing/router';
import config from 'gwt-frontend/config/environment';

export default class Router extends EmberRouter {
  location = config.locationType;
  rootURL = config.rootURL;
}

Router.map(function() {
  this.route('verse', { path: '/verse/:verse_id' }, function() {
    this.route('word', { path: '/word/:word_id' });
  });
  this.route('home', { path: '/' });
  this.route('contributors');
  this.route('user-guide');
  this.route('site-purpose');
  this.route('contact-us');
  this.route('morph-legend');
  this.route('commentary-intro', { path: '/commentary/:book_id' });
  this.route('commentary-article', { path: '/commentary/articles/:article_id' });
});
